Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 24-04-2019 15:02:44

tk5ep
Membre
Inscription : 24-04-2019

Résolu: Imagick sur Stretch et php 7.2

Bonjour,

Je cherche à installer imagick sur ma Debian Stretch et php 7.2.
J'ai tout essayé et je désespère d'y arriver ! J'ai testé toutes les méthodes, mais rien à faire...

Quelqu'un y est-il arrivé ?

Merci,

Dernière modification par tk5ep (25-04-2019 21:22:21)

Hors ligne

#2 24-04-2019 15:28:21

phreg
Membre
Distrib. : MX Ubuntu LMDE Manjaro
Noyau : 4.9 à 4.20
(G)UI : Xfce Mate
Inscription : 02-04-2011

Re : Résolu: Imagick sur Stretch et php 7.2

Bonjour,
J'imagine que tu parles bien de l'extension d'ImageMagick sous PHP.
Tout essayé, toutes le méthodes... pas bien clair.
10 s de recherches m'ont donné ça https://serverpilot.io/docs/how-to-inst … -extension
https://tutoandco.colas-delmas.fr/devel … pm-debian/
Si on ne sait pas les commandes que tu as utilisées ni les messages d'erreur, personne ne pourra t'aidé (on ne fait pas de magie ici big_smile )

Dernière modification par phreg (24-04-2019 15:38:23)

Hors ligne

#3 24-04-2019 16:15:47

tk5ep
Membre
Inscription : 24-04-2019

Re : Résolu: Imagick sur Stretch et php 7.2

Bonjour et merci,

Ma question était de savoir si quelqu'un y était arrivé...
C'est bien imagick pour php.

Imagemagick a été remplacé par Imagick.

Quand je dis tout essayé, je pense ne pas être loin de la vérité.. J'ai essayé avec apt, pecl, compilé à la main, etc...
Tout semble bien s'installer, toutes les dépendances y sont, mais php ne détecte pas Imagick ( php - m | grep imagick )

Aucun message d'erreur, les tests lors du make me disent que Imagick fonctionne, mais php ne veut rien savoir !

J'ai même lu que php 7.2 ne supporterait pas Imagick et que php 7.3 le ferait.. Je suis au bout de mes connaissances et capacités.

Merci,

Hors ligne

#4 24-04-2019 16:34:12

phreg
Membre
Distrib. : MX Ubuntu LMDE Manjaro
Noyau : 4.9 à 4.20
(G)UI : Xfce Mate
Inscription : 02-04-2011

Re : Résolu: Imagick sur Stretch et php 7.2

Je n'ai jamais utilisé PHP donc...
Le 1er lien indique pourtant

The ImageMagick extension supports PHP 5.4, 5.5, 5.6, 7.0, 7.1, 7.2, and 7.3.

Dernière modification par phreg (24-04-2019 18:24:25)

Hors ligne

#5 24-04-2019 17:52:00

jce76350
Membre
Lieu : Rouen
Distrib. : Debian9_Stretch 9.11
Noyau : 4.9.0-11-amd64
(G)UI : XFCE
Inscription : 24-08-2016
Site Web

Re : Résolu: Imagick sur Stretch et php 7.2

je viens de tester sur une version PHP 7.2.17-1 (qui vient de https://packages.sury.org/php/pool/main/p/)
par apt php-imagick
cela donne
php-imagick (version 3.4.3-4+0~20190217142022.9+stretch~1.gbpba1eeb) sera installé
ttf-dejavu-core (version 2.37-1) sera installé
et le test sur un phpinfo donne l'image suivante
imagick.png
ensuite j'ai pris un script (32) et le test est OK

--
Jc E

Hors ligne

#6 24-04-2019 19:12:51

tk5ep
Membre
Inscription : 24-04-2019

Re : Résolu: Imagick sur Stretch et php 7.2

Merci à tous les deux,

jce76350 : Juste pour confirmer, la version de Debian sur laquelle ça fonctionne est bien Stretch ?
J'ai eu les mêmes messages à l'install.. J'en perd mon latin...

Mais au moins, j'ai la preuve que ça DOIT fonctionner !

Je vais essayer avec ce repo sury.org...

Merci,

Hors ligne

#7 24-04-2019 19:22:23

jce76350
Membre
Lieu : Rouen
Distrib. : Debian9_Stretch 9.11
Noyau : 4.9.0-11-amd64
(G)UI : XFCE
Inscription : 24-08-2016
Site Web

Re : Résolu: Imagick sur Stretch et php 7.2

jce76350 : Juste pour confirmer, la version de Debian sur laquelle ça fonctionne est bien Stretch ?


bien sur c'est bien indiqué dans mon texte "php-imagick (version 3.4.3-4+0~20190217142022.9+stretch~"
l’installation de PHP 7.2 est ici
De toute façon que ce soit php 7 ou 7.1 ou 7.2 ou 7.3 c'est le même paquet qui se trouve dans les dépôts de Stretch et aussi sur le site des packages.sury.org
Pour tester tu fais un essai avec le paquets php-imagick_3.4.3-4+0~20190217142022.9+stretch~1.gbpba1eeb_amd64.deb en ouvrant avec gedebi
et tu verras s'il manque des dépendances


--
Jc E

Hors ligne

#8 25-04-2019 18:37:37

tk5ep
Membre
Inscription : 24-04-2019

Re : Résolu: Imagick sur Stretch et php 7.2

Bingo !
J'ai réussi à faire fonctionner le bazar en refaisant une installation de php 7.2 comme indiqué dans ton mail et ensuite une réinstallation d'Imagick.
J'ai dû bricoler dans ma config d'apt car je suis derrière un proxy et apparemment il ne laissait pas tout passer.

Imagick est opérationnel et mon plugin Joomla fonctionne au poil.

Merci pour ton aide précieuse.
ep

Hors ligne

#9 25-04-2019 19:00:16

jce76350
Membre
Lieu : Rouen
Distrib. : Debian9_Stretch 9.11
Noyau : 4.9.0-11-amd64
(G)UI : XFCE
Inscription : 24-08-2016
Site Web

Re : Résolu: Imagick sur Stretch et php 7.2

Super wink tu n'as plus qu'à indiquer Résolu dans le titre du premier post

Dernière modification par jce76350 (25-04-2019 19:00:30)


--
Jc E

Hors ligne

#10 25-04-2019 21:22:48

tk5ep
Membre
Inscription : 24-04-2019

Re : Résolu: Imagick sur Stretch et php 7.2

jce76350 a écrit :

Super wink tu n'as plus qu'à indiquer Résolu dans le titre du premier post



Sitôt dit, sitôt fait ! smile

Hors ligne

Pied de page des forums